Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.syntax.objdump
Class ObjDumpParserTokenManager

    java.lang.Object
      avrora.syntax.objdump.ObjDumpParserTokenManager

All Implemented Interfaces:
  ObjDumpParserConstants

Direct Known Subclasses:
  FileMarkingTokenManager

public class ObjDumpParserTokenManager
extends java.lang.Object
implements ObjDumpParserConstants

Field Summary
`protected char` | `curChar`
`java.io.PrintStream` | `debugStream`
`protected SimpleCharStream` | `input_stream`
`static int[]` | `jjnewLexState`
`static java.lang.String[]` | `jjstrLiteralImages`
`static java.lang.String[]` | `lexStateNames`

Fields inherited from interface avrora.syntax.objdump.ObjDumpParserConstants
`ADC, ADD, ADDRESS, ADIW, AND, ANDI, ASR, BCLR, BIN_LITERAL, BLD, BRBC, BRBS, BRCC, BRCS, BREAK, BREQ, BRGE, BRHC, BRHS, BRID, BRIE, BRLO, BRLT, BRMI, BRNE, BRPL, BRSH, BRTC, BRTS, BRVC, BRVS, BSET, BST, BYTE2, BYTE3, BYTE4, CALL, CBI, CBR, CHARACTER_LITERAL, CLC, CLH, CLI, CLN, CLR, CLS, CLT, CLV, CLZ, COM, CP, CPC, CPI, CPSE, DEC, DECIMAL_LITERAL, DEFAULT, DIGIT, DOT_IDENTIFIER, EICALL, EIJMP, ELPM, EOF, EOR, EXP2, FMUL, FMULS, FMULSU, HEX_LITERAL, HIGH, HWRD, ICALL, IDENTIFIER, IJMP, IN, IN_SINGLE_LINE_COMMENT, INC, INTEGER_LITERAL, JMP, LABEL, LD, LDD, LDI, LDS, LETTER, LMA, LOG2, LOW, LPM, LSL, LSR, LWRD, MOV, MOVW, MUL, MULS, MULSU, NEG, NOP, OCTAL_LITERAL, OFFSET, OR, ORI, OUT, PAGE, POP, PROGRAM, PUSH, RCALL, RET, RETI, RJMP, ROL, ROR, SBC, SBCI, SBI, SBIC, SBIS, SBIW, SBR, SBRC, SBRS, SEC, SECTION, SEH, SEI, SEN, SER, SES, SET, SEV, SEZ, SINGLE_LINE_COMMENT, SIZE, SLEEP, SPM, ST, START, STD, STRING_LITERAL, STS, SUB, SUBI, SWAP, tokenImage, TST, VMA, WDR, WORD`

Constructor Summary
`ObjDumpParserTokenManager(SimpleCharStream stream)`
`ObjDumpParserTokenManager(SimpleCharStream stream, int lexState)`

Method Summary
`Token` | `getNextToken()`
`protected Token` | `jjFillToken()`
`void` | `ReInit(SimpleCharStream stream)`
`void` | `ReInit(SimpleCharStream stream, int lexState)`
`void` | `setDebugStream(java.io.PrintStream ds)`
`void` | `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public java.io.PrintStream debugStream

### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

### lexStateNames

    public static final java.lang.String[] lexStateNames

### jjnewLexState

    public static final int[] jjnewLexState

### input_stream

    protected SimpleCharStream input_stream

### curChar

    protected char curChar

Constructor Detail

### ObjDumpParserTokenManager

    public ObjDumpParserTokenManager(SimpleCharStream stream)

### ObjDumpParserTokenManager

    public ObjDumpParserTokenManager(SimpleCharStream stream,
                                     int lexState)

Method Detail

### setDebugStream

    public void setDebugStream(java.io.PrintStream ds)

### ReInit

    public void ReInit(SimpleCharStream stream)

### ReInit

    public void ReInit(SimpleCharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### jjFillToken

    protected Token jjFillToken()

### getNextToken

    public Token getNextToken()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD